---
agentTools:
  projectIndex: https://sendinblue.readme.io/llms.txt
---

# Fetch scheduled emails by batchId or messageId

Fetch scheduled batch of emails by batchId or single scheduled email by messageId (Can retrieve data upto 30 days old)

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "contact": {
      "email": "contact@brevo.com",
      "name": "Brevo Support",
      "url": "https://account.brevo.com/support"
    },
    "description": "Brevo provide a RESTFul API that can be used with any languages. With this API, you will be able to :\n  - Manage your campaigns and get the statistics\n  - Manage your contacts\n  - Send transactional Emails and SMS\n  - and much more...\n\nYou can download our wrappers at https://github.com/orgs/brevo\n**Possible responses**\n  | Code | Message |\n  | :-------------: | ------------- |\n  | 200  | OK. Successful Request  |\n  | 201  | OK. Successful Creation |\n  | 202  | OK. Request accepted |\n  | 204  | OK. Successful Update/Deletion  |\n  | 400  | Error. Bad Request  |\n  | 401  | Error. Authentication Needed  |\n  | 402  | Error. Not enough credit, plan upgrade needed  |\n  | 403  | Error. Permission denied  |\n  | 404  | Error. Object does not exist |\n  | 405  | Error. Method not allowed  |\n  | 406  | Error. Not Acceptable  |\n  | 422  | Error. Unprocessable Entity |\n",
    "license": {
      "name": "MIT",
      "url": "http://opensource.org/licenses/MIT"
    },
    "title": "Brevo API",
    "version": "3.0.0"
  },
  "servers": [
    {
      "url": "https://api.brevo.com/v3"
    }
  ],
  "security": [
    {
      "api-key": []
    },
    {
      "partner-key": []
    }
  ],
  "paths": {
    "/smtp/emailStatus/{identifier}": {
      "get": {
        "description": "Fetch scheduled batch of emails by batchId or single scheduled email by messageId (Can retrieve data upto 30 days old)",
        "operationId": "getScheduledEmailById",
        "parameters": [
          {
            "description": "The `batchId` of scheduled emails batch (Should be a valid UUIDv4) or the `messageId` of scheduled email.",
            "examples": {
              "batchId": {
                "summary": "batchId of scheduled batch",
                "value": "4320f270-a4e3-4a2e-b591-edfe30a5e627"
              },
              "messageId": {
                "summary": "messageId of scheduled email",
                "value": "<202202231031.53307417725@smtp-relay.mailin.fr>"
              }
            },
            "in": "path",
            "name": "identifier",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Mandatory if `endDate` is used. Starting date (YYYY-MM-DD) from which you want to fetch the list. Can be maximum 30 days older tha current date.",
            "example": "2022-02-02",
            "in": "query",
            "name": "startDate",
            "required": false,
            "schema": {
              "format": "date",
              "type": "string"
            }
          },
          {
            "description": "Mandatory if `startDate` is used. Ending date (YYYY-MM-DD) till which you want to fetch the list. Maximum time period that can be selected is one month.",
            "example": "2022-03-02",
            "in": "query",
            "name": "endDate",
            "required": false,
            "schema": {
              "format": "date",
              "type": "string"
            }
          },
          {
            "description": "Sort the results in the ascending/descending order of record creation. Default order is **descending** if `sort` is not passed. Not valid when identifier is `messageId`.",
            "in": "query",
            "name": "sort",
            "required": false,
            "schema": {
              "default": "desc",
              "enum": [
                "asc",
                "desc"
              ],
              "type": "string"
            }
          },
          {
            "description": "Filter the records by `status` of the scheduled email batch or message. Not valid when identifier is `messageId`.",
            "in": "query",
            "name": "status",
            "required": false,
            "schema": {
              "enum": [
                "processed",
                "inProgress",
                "queued"
              ],
              "type": "string"
            }
          },
          {
            "description": "Number of documents returned per page. Not valid when identifier is `messageId`.",
            "example": 100,
            "in": "query",
            "name": "limit",
            "required": false,
            "schema": {
              "default": 100,
              "format": "int64",
              "maximum": 500,
              "minimum": 0,
              "type": "integer"
            }
          },
          {
            "description": "Index of the first document on the page.  Not valid when identifier is `messageId`.",
            "example": 0,
            "in": "query",
            "name": "offset",
            "required": false,
            "schema": {
              "default": 0,
              "format": "int64",
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "examples": {
                  "batchId": {
                    "value": {
                      "batches": [
                        {
                          "createdAt": "2022-02-26T11:36:43.576000000Z",
                          "scheduledAt": "2022-02-28T11:36:43.576000000Z",
                          "status": "queued"
                        },
                        {
                          "createdAt": "2022-02-24T11:36:43.576000000Z",
                          "scheduledAt": "2022-02-25T11:36:43.576000000Z",
                          "status": "processed"
                        },
                        {
                          "createdAt": "2022-02-25T11:36:43.576000000Z",
                          "scheduledAt": "2022-02-26T11:36:43.576000000Z",
                          "status": "inProgress"
                        }
                      ],
                      "count": 3
                    }
                  },
                  "messageId": {
                    "value": {
                      "createdAt": "2022-02-26T11:36:43.576000000Z",
                      "scheduledAt": "2022-02-28T11:36:43.576000000Z",
                      "status": "queued"
                    }
                  }
                },
                "schema": {
                  "oneOf": [
                    {
                      "properties": {
                        "batches": {
                          "items": {
                            "properties": {
                              "createdAt": {
                                "description": "Datetime on which the batch was scheduled",
                                "format": "date-time",
                                "type": "string"
                              },
                              "scheduledAt": {
                                "description": "Datetime for which the batch was scheduled",
                                "format": "date-time",
                                "type": "string"
                              },
                              "status": {
                                "description": "Current status of the scheduled batch",
                                "enum": [
                                  "inProgress",
                                  "queued",
                                  "processed",
                                  "error"
                                ],
                                "type": "string"
                              }
                            },
                            "required": [
                              "scheduledAt",
                              "createdAt",
                              "status"
                            ],
                            "type": "object"
                          },
                          "type": "array"
                        },
                        "count": {
                          "description": "Total number of batches",
                          "type": "integer"
                        }
                      },
                      "type": "object"
                    },
                    {
                      "properties": {
                        "createdAt": {
                          "description": "Datetime on which the email was scheduled",
                          "format": "date-time",
                          "type": "string"
                        },
                        "scheduledAt": {
                          "description": "Datetime for which the email was scheduled",
                          "format": "date-time",
                          "type": "string"
                        },
                        "status": {
                          "description": "Current status of the scheduled email",
                          "enum": [
                            "inProgress",
                            "queued",
                            "processed",
                            "error"
                          ],
                          "type": "string"
                        }
                      },
                      "required": [
                        "scheduledAt",
                        "createdAt",
                        "status"
                      ],
                      "type": "object"
                    }
                  ]
                }
              }
            },
            "description": "Scheduled email batches"
          },
          "400": {
            "$ref": "#/components/responses/errorModel"
          },
          "404": {
            "$ref": "#/components/responses/errorModel"
          }
        },
        "summary": "Fetch scheduled emails by batchId or messageId",
        "tags": [
          "Transactional emails"
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api-key": {
        "description": "The API key should be passed in the request headers as `api-key` for authentication.",
        "in": "header",
        "name": "api-key",
        "type": "apiKey"
      },
      "partner-key": {
        "description": "The partner key should be passed in the request headers as `partner-key` along with `api-key` pair for successful authentication of partner (Optional).",
        "in": "header",
        "name": "partner-key",
        "type": "apiKey"
      }
    },
    "responses": {
      "errorModel": {
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "code": {
                  "description": "Error code displayed in case of a failure",
                  "enum": [
                    "invalid_parameter",
                    "missing_parameter",
                    "out_of_range",
                    "campaign_processing",
                    "campaign_sent",
                    "document_not_found",
                    "not_enough_credits",
                    "permission_denied",
                    "duplicate_parameter",
                    "duplicate_request",
                    "method_not_allowed",
                    "unauthorized",
                    "account_under_validation",
                    "not_acceptable",
                    "bad_request",
                    "unprocessable_entity",
                    "Domain does not exist",
                    "Contact email not found",
                    "Attribute not found",
                    "Category id not found",
                    "Invalid parameters passed",
                    "Record(s) for identifier not found",
                    "Returned when query params are invalid",
                    "Returned when invalid data posted",
                    "Feed not found",
                    "Campaign ID not found",
                    "api-key not found",
                    "DMARC policy requires domain authentication",
                    "DNS records not properly configured",
                    "Invalid OTP code provided",
                    "OTP code has expired",
                    "Domain already exists in your account",
                    "The sum of all IP weights must equal 100",
                    "Authentication failed",
                    "Insufficient credits",
                    "Request already processed"
                  ],
                  "example": "method_not_allowed",
                  "type": "string"
                },
                "message": {
                  "description": "Readable message associated to the failure",
                  "example": "POST Method is not allowed on this path",
                  "type": "string"
                }
              },
              "required": [
                "code",
                "message"
              ],
              "type": "object"
            }
          }
        },
        "description": "bad request"
      }
    }
  },
  "x-samples-languages": [
    "curl"
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 91,
      "1": 104,
      "2": 180,
      "3": 205,
      "4": 240,
      "5": 82,
      "6": 207,
      "7": 0,
      "8": 3,
      "9": 36,
      "10": 63,
      "11": 142
    }
  }
}
```